Bug 1289521 - System Crashing - BUG: unable to handle kernel NULL pointer dereference at (null)
System Crashing - BUG: unable to handle kernel NULL pointer dereference at ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 06:47 EST by Douglas Furlong
Modified: 2016-12-20 11:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:45:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Furlong 2015-12-08 06:47:45 EST
Description of problem:

System appears to be crashing roughly once a day.


Version-Release number of selected component (if applicable):

[root@z600-localdomain ~]# uname -a
Linux z600-localdomain 4.2.6-301.fc23.x86_64 #1 SMP Fri Nov 20 22:22:41 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

xorg-x11-drv-ati-7.6.0-0.4.20150729git5510cd6.fc23.x86_64

11:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV620 [FirePro 2450] (prog-if 00 [VGA controller])
	Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] Device 2b43
	Flags: bus master, fast devsel, latency 0, IRQ 31
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at f4200000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at d000 [size=256]
	[virtual] Expansion ROM at f4220000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel driver in use: radeon
	Kernel modules: radeon

12:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] RV620 [FirePro 2450]
	Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] Device 2b43
	Flags: bus master, fast devsel, latency 0, IRQ 32
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f4100000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at e000 [size=256]
	Expansion ROM at f4120000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel driver in use: radeon
	Kernel modules: radeon


How reproducible:

I'm not yet sure if their is any thing specific causing the crash.

Actual results:

System crashes


Expected results:

System not to crash.


Additional info:

Dec 08 11:30:59 z600-localdomain kernel: BUG: unable to handle kernel NULL pointer dereference at           (null)
Dec 08 11:30:59 z600-localdomain kernel: IP: [<ffffffffa01c4861>] radeon_pm_set_clocks+0xf1/0x5b0 [radeon]
Dec 08 11:30:59 z600-localdomain kernel: PGD 21db19067 PUD 21db18067 PMD 0 
Dec 08 11:30:59 z600-localdomain kernel: Oops: 0000 [#1] SMP 
Dec 08 11:30:59 z600-localdomain kernel: Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfil
Dec 08 11:30:59 z600-localdomain kernel:  snd_hda_codec joydev snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer lpc_ich snd parport_pc i7core_edac parport soundc
Dec 08 11:30:59 z600-localdomain kernel: CPU: 4 PID: 2272 Comm: Xorg Tainted: G          I     4.2.6-301.fc23.x86_64 #1
Dec 08 11:30:59 z600-localdomain kernel: Hardware name: Hewlett-Packard HP Z600 Workstation/0B54h, BIOS 786G4 v03.13 10/13/2010
Dec 08 11:30:59 z600-localdomain kernel: task: ffff8800c3270000 ti: ffff880217260000 task.ti: ffff880217260000
Dec 08 11:30:59 z600-localdomain kernel: RIP: 0010:[<ffffffffa01c4861>]  [<ffffffffa01c4861>] radeon_pm_set_clocks+0xf1/0x5b0 [radeon]
Dec 08 11:30:59 z600-localdomain kernel: RSP: 0018:ffff880217263848  EFLAGS: 00010282
Dec 08 11:30:59 z600-localdomain kernel: RAX: 0000000000000000 RBX: ffff8800366bdba0 RCX: 0000000000152aa6
Dec 08 11:30:59 z600-localdomain kernel: RDX: 0000000000000100 RSI: 0000000000000000 RDI: ffff8800a8d48800
Dec 08 11:30:59 z600-localdomain kernel: RBP: ffff8802172638b8 R08: ffff8802134c3c60 R09: 0000000000000000
Dec 08 11:30:59 z600-localdomain kernel: R10: 0000000000000000 R11: 000000000000a5f8 R12: ffff8800366bd4b0
Dec 08 11:30:59 z600-localdomain kernel: R13: 0000000000000000 R14: ffff8800366bdb68 R15: ffff8800366bc000
Dec 08 11:30:59 z600-localdomain kernel: FS:  00007fb341b22a00(0000) GS:ffff88032fa00000(0000) knlGS:0000000000000000
Dec 08 11:30:59 z600-localdomain kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Dec 08 11:30:59 z600-localdomain kernel: CR2: 0000000000000000 CR3: 0000000217d79000 CR4: 00000000000006e0
Dec 08 11:30:59 z600-localdomain kernel: Stack:
Dec 08 11:30:59 z600-localdomain kernel:  ffff880217263868 0000000000000296 ffff880217263868 ffffffff81778e3e
Dec 08 11:30:59 z600-localdomain kernel:  ffff8802172638c8 ffffffff8110794d ffff8800ca0b5e30 000000009581e837
Dec 08 11:30:59 z600-localdomain kernel:  0000000000000296 ffff8800366bc000 ffff8800366bdb78 ffff880036773800
Dec 08 11:30:59 z600-localdomain kernel: Call Trace:
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffff81778e3e>] ? _raw_spin_unlock_irqrestore+0xe/0x10
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffff8110794d>] ? mod_timer+0x13d/0x220
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa01c5cc0>] radeon_pm_compute_clocks+0xf0/0x880 [radeon]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa0053e97>] ? drm_vblank_put+0x87/0xc0 [drm]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa016cfbb>] atombios_crtc_dpms+0x6b/0xf0 [radeon]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa016d058>] atombios_crtc_commit+0x18/0x30 [radeon]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa0142a1d>] drm_crtc_helper_set_mode+0x41d/0x520 [drm_kms_helper]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa0143965>] drm_crtc_helper_set_config+0x925/0xaa0 [drm_kms_helper]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa0189718>] radeon_crtc_set_config+0x48/0x120 [radeon]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa005d306>] drm_mode_set_config_internal+0x66/0x100 [drm]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa0061819>] drm_mode_setcrtc+0x3e9/0x500 [drm]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa0052365>] drm_ioctl+0x125/0x610 [drm]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa0061430>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffffa016004c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Dec 08 11:30:59 z600-localdomain kernel:  [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Dec 08 11:30:59 z600-localdomain kernel: Code: 00 48 83 c4 48 5b 41 5c 41 5d 41 5e 41 5f 5d c3 49 8b bf 68 1b 00 00 4d 8d b7 68 1b 00 00 49 39 fe 74 32 4c 8b 2f eb 0f 4d 39 ee 
Dec 08 11:30:59 z600-localdomain kernel: RIP  [<ffffffffa01c4861>] radeon_pm_set_clocks+0xf1/0x5b0 [radeon]
Comment 1 Fedora End Of Life 2016-11-24 09:03:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:45:11 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.